Intel® High Level Design
Support for Intel® High Level Synthesis Compiler, DSP Builder, OneAPI for Intel® FPGAs, Intel® FPGA SDK for OpenCL™
673 Discussions

list of supported FPGA with oneAPI

Zia
Beginner
1,007 Views

Does anyone know if Cyclone-V based boards are supported by oneAPI toolkit? Thanks.

0 Kudos
3 Replies
HRZ
Valued Contributor III
966 Views

OneAPI requires a BSP similar to OpenCL. Even though OpenCL is supported on Cyclone V and there are some Cyclone V boards out there with OpenCL support (e.g. quite a few of Terasic's boards), I have not seen any Cyclone V boards with OpenAPI support. Intel officially only supports their own PAC boards (Arria 10 and D5005) and custom platforms supporting Quartus 19.4 and above. I know some of Bittware's Stratix 10 boards support OneAPI as well. Other than that, I don't think there are any Cyclone V boards with OpenAPI support right now, and it is unlikely there will ever be one. Intel's system requirements for OneAPI are here:

 

https://software.intel.com/content/www/us/en/develop/articles/intel-fpga-add-on-for-oneapi-base-toolkit-system-requirements.html

0 Kudos
BoonBengT_Intel
Moderator
959 Views

Hi @Zia,

 

Thank you for posting in Intel community forum and hope this message find you well.
You may refer to the product catalog here (i.e. page #56)for further details.

 

Best Wishes
BB

0 Kudos
BoonBengT_Intel
Moderator
934 Views

Hi @Zia,

 

As we do not get any further clarification from you in regards to this, this thread will be transitioned to community support. If you have new queries, please feel free to open a new thread to get support from Intel experts, and we would be right with you. Otherwise, the community users will further help you with doubts in this thread.

 

Best Wishes
BB

0 Kudos
Reply